package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF4F2Data {

    private Map<String, Object> params;
    
    public MWF4F2Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsPackageid() {
        return (String) params.get("RS_PACKAGEID");
    }

    public String rsPackagename() {
        return (String) params.get("RS_PACKAGENAME");
    }

    public String rsPackagedescription() {
        return (String) params.get("RS_PACKAGEDESCRIPTION");
    }

    public Double rsPrice() {
        return (Double) params.get("RS_PRICE");
    }

    public String rsCurrency() {
        return (String) params.get("RS_CURRENCY");
    }

    public String rsPeriod() {
        return (String) params.get("RS_PERIOD");
    }

    public String rsProducttype() {
        return (String) params.get("RS_PRODUCTTYPE");
    }

    public String rsProductcode() {
        return (String) params.get("RS_PRODUCTCODE");
    } 

}
